OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Typedefs | Functions
cl::detail Namespace Reference

## Classes
struct | ReferenceHandler
struct | param_traits
struct | GetInfoFunctor0
struct | GetInfoFunctor1
struct | ReferenceHandler< cl_device_id >
struct | ReferenceHandler< cl_platform_id >
struct | ReferenceHandler< cl_context >
struct | ReferenceHandler< cl_command_queue >
struct | ReferenceHandler< cl_mem >
struct | ReferenceHandler< cl_sampler >
struct | ReferenceHandler< cl_program >
struct | ReferenceHandler< cl_kernel >
struct | ReferenceHandler< cl_event >
class | Wrapper
class | Wrapper< cl_device_id >
class | SVMTraitNull
class | Deleter
struct | KernelArgumentHandler
struct | KernelArgumentHandler< T, typename std::enable_if<!std::is_base_of< cl::Memory, T >::value >::type >
struct | KernelArgumentHandler< T, typename std::enable_if< std::is_base_of< cl::Memory, T >::value >::type >
struct | KernelArgumentHandler< LocalSpaceArg, void >
struct | KernelArgumentHandler< cl::DeviceCommandQueue, void >

## Typedefs
using | size_t_array = array< size_type, 3 >

## Functions
template<typename Functor , typename T >
cl_int | getInfoHelper (Functor f, cl_uint name, T *param, long)
template<typename Func >
cl_int | getInfoHelper (Func f, cl_uint name, vector< vector< unsigned char >> *param, int)
template<typename Func , typename T >
cl_int | getInfoHelper (Func f, cl_uint name, vector< T > *param, long)
template<typename Func , typename T >
cl_int | getInfoHelper (Func f, cl_uint name, vector< T > *param, int, typename T::cl_type=0)
template<typename Func >
cl_int | getInfoHelper (Func f, cl_uint name, string *param, long)
template<typename Func , size_type N>
cl_int | getInfoHelper (Func f, cl_uint name, array< size_type, N > *param, long)
template<typename Func , typename T >
cl_int | getInfoHelper (Func f, cl_uint name, T *param, int, typename T::cl_type=0)
template<typename Func , typename T >
cl_int | getInfo (Func f, cl_uint name, T *param)
template<typename Func , typename Arg0 , typename T >
cl_int | getInfo (Func f, const Arg0 &arg0, cl_uint name, T *param)
template<typename Func , typename Arg0 , typename Arg1 , typename T >
cl_int | getInfo (Func f, const Arg0 &arg0, const Arg1 &arg1, cl_uint name, T *param)
template<typename T >
bool | operator== (const Wrapper< T > &lhs, const Wrapper< T > &rhs)
template<typename T >
bool | operator!= (const Wrapper< T > &lhs, const Wrapper< T > &rhs)

## Typedef Documentation

using cl::detail::size_t_array = typedef array<size_type, 3>

## Function Documentation

template<typename Func , typename T >

cl_int cl::detail::getInfo | ( | Func | f,
|  | cl_uint | name,
|  | T * | param
| ) |  |
| inline

template<typename Func , typename Arg0 , typename T >

cl_int cl::detail::getInfo | ( | Func | f,
|  | const Arg0 & | arg0,
|  | cl_uint | name,
|  | T * | param
| ) |  |
| inline

template<typename Func , typename Arg0 , typename Arg1 , typename T >

cl_int cl::detail::getInfo | ( | Func | f,
|  | const Arg0 & | arg0,
|  | const Arg1 & | arg1,
|  | cl_uint | name,
|  | T * | param
| ) |  |
| inline

template<typename Functor , typename T >

cl_int cl::detail::getInfoHelper | ( | Functor | f,
|  | cl_uint | name,
|  | T * | param,
|  | long |
| ) |  |
| inline

template<typename Func >

cl_int cl::detail::getInfoHelper | ( | Func | f,
|  | cl_uint | name,
|  | vector< vector< unsigned char >> * | param,
|  | int |
| ) |  |
| inline

template<typename Func , typename T >

cl_int cl::detail::getInfoHelper | ( | Func | f,
|  | cl_uint | name,
|  | vector< T > * | param,
|  | long |
| ) |  |
| inline

template<typename Func , typename T >

cl_int cl::detail::getInfoHelper | ( | Func | f,
|  | cl_uint | name,
|  | vector< T > * | param,
|  | int | ,
|  | typename T::cl_type | = `0`
| ) |  |
| inline

template<typename Func >

cl_int cl::detail::getInfoHelper | ( | Func | f,
|  | cl_uint | name,
|  | string * | param,
|  | long |
| ) |  |
| inline

template<typename Func , size_type N>

cl_int cl::detail::getInfoHelper | ( | Func | f,
|  | cl_uint | name,
|  | array< size_type, N > * | param,
|  | long |
| ) |  |
| inline

template<typename Func , typename T >

cl_int cl::detail::getInfoHelper | ( | Func | f,
|  | cl_uint | name,
|  | T * | param,
|  | int | ,
|  | typename T::cl_type | = `0`
| ) |  |
| inline

template<typename T >

bool cl::detail::operator!= | ( | const Wrapper< T > & | lhs,
|  | const Wrapper< T > & | rhs
| ) |  |
| inline

template<typename T >

bool cl::detail::operator== | ( | const Wrapper< T > & | lhs,
|  | const Wrapper< T > & | rhs
| ) |  |
| inline